> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Save findings

> Save the draft room and checklist findings, in order; a finding left out is removed



## OpenAPI

````yaml /openapi.json post /inspections/{id}/findings
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /inspections/{id}/findings:
    post:
      tags:
        - inspections
      summary: Save findings
      description: >-
        Save the draft room and checklist findings, in order; a finding left out
        is removed
      operationId: inspections.saveFindings
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestId:
                  type: string
                expectedRevision:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                findings:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        anyOf:
                          - anyOf:
                              - type: string
                              - type: 'null'
                          - type: 'null'
                      area:
                        type: string
                      item:
                        anyOf:
                          - anyOf:
                              - type: string
                              - type: 'null'
                          - type: 'null'
                      condition:
                        type: string
                        enum:
                          - good
                          - fair
                          - poor
                          - na
                      notes:
                        anyOf:
                          - anyOf:
                              - type: string
                              - type: 'null'
                          - type: 'null'
                    required:
                      - area
                      - condition
                    additionalProperties: false
                summary:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
              required:
                - requestId
                - expectedRevision
                - findings
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InspectionDetailRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/InspectionInputInvalid'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/InspectionNotFound'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/InspectionStale'
                  - $ref: '#/components/schemas/InspectionRequestConflict'
                  - $ref: '#/components/schemas/InspectionTransitionInvalid'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    InspectionDetailRow:
      type: object
      properties:
        id:
          type: string
        reference:
          type: string
        type:
          type: string
          enum:
            - routine
            - check_in
            - check_out
        status:
          type: string
          enum:
            - due
            - booked
            - completed
            - cancelled
        propertyId:
          anyOf:
            - type: string
            - type: 'null'
        propertyLabel:
          anyOf:
            - type: string
            - type: 'null'
        blockId:
          anyOf:
            - type: string
            - type: 'null'
        blockLabel:
          anyOf:
            - type: string
            - type: 'null'
        tenancyId:
          anyOf:
            - type: string
            - type: 'null'
        dueOn:
          anyOf:
            - type: string
            - type: 'null'
        overdue:
          type: boolean
        notes:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        outcome:
          anyOf:
            - type: string
              enum:
                - satisfactory
                - minor_actions
                - unsatisfactory
            - type: 'null'
        booking:
          anyOf:
            - type: object
              properties:
                appointmentId:
                  type: string
                status:
                  type: string
                  enum:
                    - held
                    - confirmed
                    - cancelled
                    - done
                startsAt:
                  type: string
                endsAt:
                  type: string
                staffId:
                  anyOf:
                    - type: string
                    - type: 'null'
                staffName:
                  anyOf:
                    - type: string
                    - type: 'null'
                revision:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
              required:
                - appointmentId
                - status
                - startsAt
                - endsAt
                - staffId
                - staffName
                - revision
              additionalProperties: false
            - type: 'null'
        findingCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        followUpCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        draftSavedAt:
          anyOf:
            - type: string
            - type: 'null'
        completedAt:
          anyOf:
            - type: string
            - type: 'null'
        completedByUserId:
          anyOf:
            - type: string
            - type: 'null'
        cancelledAt:
          anyOf:
            - type: string
            - type: 'null'
        cancelReason:
          anyOf:
            - type: string
            - type: 'null'
        accessNotice:
          anyOf:
            - type: object
              properties:
                givenAt:
                  type: string
                method:
                  type: string
                  enum:
                    - in_person
                    - email
                    - letter
                    - text
                    - phone
                    - other
                notes:
                  anyOf:
                    - type: string
                    - type: 'null'
                short:
                  anyOf:
                    - type: boolean
                    - type: 'null'
              required:
                - givenAt
                - method
                - notes
                - short
              additionalProperties: false
            - type: 'null'
        acknowledgement:
          anyOf:
            - type: object
              properties:
                receivedOn:
                  type: string
                signed:
                  type: boolean
                commented:
                  type: boolean
                comments:
                  anyOf:
                    - type: string
                    - type: 'null'
                documentId:
                  anyOf:
                    - type: string
                    - type: 'null'
                recordedAt:
                  type: string
                recordedByUserId:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - receivedOn
                - signed
                - commented
                - comments
                - documentId
                - recordedAt
                - recordedByUserId
              additionalProperties: false
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        createdByUserId:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        findings:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              position:
                anyOf:
                  - type: number
                  - type: string
                    enum:
                      - Infinity
                      - '-Infinity'
                      - NaN
              area:
                type: string
              item:
                anyOf:
                  - type: string
                  - type: 'null'
              condition:
                type: string
                enum:
                  - good
                  - fair
                  - poor
                  - na
              notes:
                anyOf:
                  - type: string
                  - type: 'null'
              photos:
                anyOf:
                  - type: array
                    items:
                      type: object
                      properties:
                        documentId:
                          type: string
                        name:
                          type: string
                        contentType:
                          anyOf:
                            - type: string
                            - type: 'null'
                        kind:
                          type: string
                        createdAt:
                          type: string
                        archivedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        purged:
                          type: boolean
                      required:
                        - documentId
                        - name
                        - contentType
                        - kind
                        - createdAt
                        - archivedAt
                        - purged
                      additionalProperties: false
                  - type: 'null'
              repair:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      reference:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - reference
                    additionalProperties: false
                  - type: 'null'
              task:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      title:
                        type: string
                      status:
                        type: string
                      dueOn:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - title
                      - status
                      - dueOn
                    additionalProperties: false
                  - type: 'null'
            required:
              - id
              - position
              - area
              - item
              - condition
              - notes
              - photos
              - repair
              - task
            additionalProperties: false
        visits:
          type: array
          items:
            type: object
            properties:
              appointmentId:
                type: string
              status:
                type: string
                enum:
                  - held
                  - confirmed
                  - cancelled
                  - done
              startsAt:
                type: string
              endsAt:
                type: string
              staffName:
                anyOf:
                  - type: string
                  - type: 'null'
              outcome:
                anyOf:
                  - type: string
                    enum:
                      - attended
                      - no_show
                  - type: 'null'
              cancelReason:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - appointmentId
              - status
              - startsAt
              - endsAt
              - staffName
              - outcome
              - cancelReason
            additionalProperties: false
        reports:
          anyOf:
            - type: array
              items:
                type: object
                properties:
                  documentId:
                    type: string
                  name:
                    type: string
                  contentType:
                    anyOf:
                      - type: string
                      - type: 'null'
                  kind:
                    type: string
                  createdAt:
                    type: string
                  archivedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  purged:
                    type: boolean
                required:
                  - documentId
                  - name
                  - contentType
                  - kind
                  - createdAt
                  - archivedAt
                  - purged
                additionalProperties: false
            - type: 'null'
        checkIn:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                reference:
                  type: string
                completedAt:
                  anyOf:
                    - type: string
                    - type: 'null'
                findings:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      area:
                        type: string
                      item:
                        anyOf:
                          - type: string
                          - type: 'null'
                      condition:
                        type: string
                        enum:
                          - good
                          - fair
                          - poor
                          - na
                      notes:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - area
                      - item
                      - condition
                      - notes
                    additionalProperties: false
              required:
                - id
                - reference
                - completedAt
                - findings
              additionalProperties: false
            - type: 'null'
      required:
        - id
        - reference
        - type
        - status
        - propertyId
        - propertyLabel
        - blockId
        - blockLabel
        - tenancyId
        - dueOn
        - overdue
        - notes
        - summary
        - outcome
        - booking
        - findingCount
        - followUpCount
        - draftSavedAt
        - completedAt
        - completedByUserId
        - cancelledAt
        - cancelReason
        - accessNotice
        - acknowledgement
        - revision
        - createdByUserId
        - createdAt
        - updatedAt
        - findings
        - visits
        - reports
        - checkIn
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    InspectionInputInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionInputInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    InspectionNotFound:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    InspectionStale:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionStale
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        expectedRevision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - revision
        - expectedRevision
        - message
      additionalProperties: false
    InspectionRequestConflict:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionRequestConflict
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    InspectionTransitionInvalid:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InspectionTransitionInvalid
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.